UIRichMessage (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIRichMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIRichMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  org.richfaces.component.UIRichMessage

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput

Direct Known Subclasses:
  HtmlRichMessage

    public abstract class UIRichMessage

extends javax.faces.component.UIMessage
implements org.ajax4jsf.component.AjaxOutput

Author:
  Anton Belevich

Field Summary

Fields inherited from class javax.faces.component.UIMessage
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIRichMessage()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`abstract java.lang.String` | `getLevel()`
`abstract java.lang.String` | `getPassedLabel()`
`boolean` | `isAjaxRendered()`
`boolean` | `isPassed()`
`void` | `setAjaxRendered(boolean ajaxRendered)`
`abstract void` | `setLevel(java.lang.String level)`
`abstract void` | `setPassedLabel(java.lang.String passedLabel)`

Methods inherited from class javax.faces.component.UIMessage
`getFamily, getFor, isShowDetail, isShowSummary, restoreState, saveState, setFor, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxOutput
`isKeepTransient, setKeepTransient`

Constructor Detail

### UIRichMessage

    public UIRichMessage()

Method Detail

### isPassed

    public boolean isPassed()

### getPassedLabel

    public abstract java.lang.String getPassedLabel()

### setPassedLabel

    public abstract void setPassedLabel(java.lang.String passedLabel)

### isAjaxRendered

    public boolean isAjaxRendered()

  Specified by:
    `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

### setAjaxRendered

    public void setAjaxRendered(boolean ajaxRendered)

  Specified by:
    `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### getLevel

    public abstract java.lang.String getLevel()

### setLevel

    public abstract void setLevel(java.lang.String level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.